Category: d1_identity_manager Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

The current implementation of hasReservation returns an IdentifierNotUnique exception if the identifier being checked is already

assigned to an object on the CN.  This behavior is thought to be confusing, so it was decided to remove this feature from the

implementation.  reserveIdentifier will still keep this functionality (is is intuitive to throw an exception if the reservation cannot be

made because the identifier is already in use).

hasReservation is used extensively by d1_synchronization, but thought not to be used much elsewhere, so we intend to change both

the v2 and v1 implementations.

Subtasks:

Task # 7420: remove systemMetadata map check for v1 and 2 implementation Closed

Task # 7421: update api design documentation for hasReservation Closed

Task # 7426: adjust API signatures in java libraries Closed

Task # 7428: refactor synchronization to not rely on hasReservation returning Identifie... Closed

Related issues:

Related to Infrastructure - Bug #7386: the ReserveIdentifierService allows SI... Closed 2015-09-25

Related to Infrastructure - Bug #7264: CNCore.hasReservation null Subject par... Closed 2015-10-17

Related to Infrastructure - Bug #7431: NodelistUtil.getNode returns null for ... Closed 2015-10-15

Associated revisions

Revision 16672 - 2015-10-14 20:20 - Rob Nahf

refs: #7419 #7426.  removed IdentifierNotUnique throws from hasReservation definitions and implementations (libclient, sync, cn_rest,

d1_integration).

Revision 16672 - 2015-10-14 20:20 - Rob Nahf

refs: #7419 #7426.  removed IdentifierNotUnique throws from hasReservation definitions and implementations (libclient, sync, cn_rest,

d1_integration).

History

#1 - 2015-10-09 22:10 - Ben Leinfelder

- Related to Bug #7386: the ReserveIdentifierService allows SIDs already in use to be reserved. added

#2 - 2015-10-13 17:16 - Rob Nahf

- Related to Bug #7264: CNCore.hasReservation null Subject parameter added

#3 - 2015-10-15 13:37 - Robert Waltz

- Related to Bug #7431: NodelistUtil.getNode returns null for valid nodelist entry added

#4 - 2016-01-05 18:51 - Ben Leinfelder

- Assignee changed from Ben Leinfelder to Dave Vieglais
#5 - 2016-01-05 19:19 - Rob Nahf

- % Done changed from 0 to 30

- Status changed from New to In Progress

#6 - 2016-03-25 01:19 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100
